﻿using System;
using System.ComponentModel.Composition;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;

namespace Module0
{
	[ModuleExport(typeof(Module0Impl))]
	public class Module0Impl : IModule
	{
		[Import]
		public IRegionManager TheRegionManager { private get; set; }

		public void Initialize()
		{
			TheRegionManager.RegisterViewWithRegion("ShapeRegion", typeof(Module0View1));
		}
	}
}
