﻿using System;
using System.ComponentModel.Composition;
using Microsoft.Practices.Prism.MefExtensions.Modularity;
using Microsoft.Practices.Prism.Modularity;
using Microsoft.Practices.Prism.Regions;

namespace Module1
{
	[ModuleExport(typeof(Module1Impl))]
	public class Module1Impl : IModule
	{
		[Import]
		public IRegionManager TheRegionManager { private get; set; }

		public void Initialize()
		{
			TheRegionManager.RegisterViewWithRegion("DiagramRegion", typeof(Module1View1));
		}
	}
}
